org.apache.cxf.bus.blueprint

## Class BusDefinitionParser

- java.lang.Object
- - org.apache.cxf.configuration.blueprint.AbstractBPBeanDefinitionParser
  - - org.apache.cxf.bus.blueprint.BusDefinitionParser

-     public class BusDefinitionParser
      extends AbstractBPBeanDefinitionParser

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `protected boolean` | `hasBus`

  - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cxf.configuration.blueprint.AbstractBPBeanDefinitionParser

      `AbstractBPBeanDefinitionParser.JAXBBeanFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusDefinitionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `hasBusProperty()`
    `protected void` | `mapElement(org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, Element el, String name)`
    `org.osgi.service.blueprint.reflect.Metadata` | `parse(Element element, org.apache.aries.blueprint.ParserContext context)`
    `protected void` | `processBusAttribute(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, String val)`

    - ### Methods inherited from class org.apache.cxf.configuration.blueprint.AbstractBPBeanDefinitionParser

      `createObjectOfClass, createPassThrough, createRef, createValue, createValue, getBus, getBusRef, getContext, isAttribute, isNamespace, mapAttribute, mapElementToJaxbProperty, mapElementToJaxbProperty, mapToProperty, parseAttributes, parseChildElements, parseListData, parseMapData, parseQName, processNameAttribute, setFirstChildAsProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### hasBus

          protected boolean hasBusProperty

      Overrides:
        `hasBusProperty` in class `AbstractBPBeanDefinitionParser`

  - ### Constructor Detail

    - #### BusDefinitionParser

          public BusDefinitionParser()

  - ### Method Detail

    - #### parse

          public org.osgi.service.blueprint.reflect.Metadata parse(Element element,
                                                                   org.apache.aries.blueprint.ParserContext context)

    - #### processBusAttribute

          protected void processBusAttribute(Element element,
                                             org.apache.aries.blueprint.ParserContext ctx,
                                             org.apache.aries.blueprint.mutable.MutableBeanMetadata bean,
                                             String val)

      Overrides:
        `processBusAttribute` in class `AbstractBPBeanDefinitionParser`

    - #### hasBusProperty

          protected boolean hasBusProperty()

      Overrides:
        `hasBusProperty` in class `AbstractBPBeanDefinitionParser`

    - #### mapElement

          protected void mapElement(org.apache.aries.blueprint.ParserContext ctx,
                                    org.apache.aries.blueprint.mutable.MutableBeanMetadata bean,
                                    Element el,
                                    String name)

      Overrides:
        `mapElement` in class `AbstractBPBeanDefinitionParser`

Apache CXF